# $Revision: 1.3.2.1 $, $Date: 2005/10/17 08:56:58 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IP
%define	pnam	Country
Summary:	IP::Country - fast lookup of country codes from IP addresses
Summary(pl):	IP::Country - szybkie okrelanie kodw pastw na podstawie adresu IP
Name:		perl-IP-Country
Version:	2.18
Release:	2
License:	Unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/N/NW/NWETTERS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9fc08c51555f2e81b042ca749af0eee8
BuildRequires:	perl-devel >= 1:5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-112.1
%if %{with tests}
BuildRequires:	perl-Geography-Countries
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Finding the home country of a client using only the IP address can be
difficult. Looking up the domain name associated with that address can
provide some help, but many IP address are not reverse mapped to any
useful domain, and the most common domain (.com) offers no help when
looking for country.

This module comes bundled with a database of countries where various
IP addresses have been assigned. Although the country of assignment
will probably be the country associated with a large ISP rather than
the client herself, this is probably good enough for most log analysis
applications, and under test has proved to be as accurate as
reverse-DNS and WHOIS lookup.

%description -l pl
Okrelanie kraju pochodzenia klienta przy uyciu samego adresu IP moe
by trudne. Sprawdzanie nazwy domeny zwizanej z adresem moe by
troch pomocne, ale wiele adresw IP nie maj odwrotnego odwzorowania
na adn uyteczn domen, a najpopularniejsza domena (.com) nie
pomaga w okreleniu kraju.

Ten modu jest dostarczany wraz z baz danych krajw, do ktrych
przypisano rne adresy IP. Cho kraj przypisania bdzie
prawdopodobnie krajem zwizanym raczej z duym ISP ni samym klientem,
jest to zwykle wystarczajce do wikszoci analiz logw aplikacji, a
testy dowiody, e jest to tak samo dokadne, jak odwzorowania
odwrotnego DNS i WHOIS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=site
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES INSTALL README
%dir %{perl_sitelib}/IP
%{perl_sitelib}/IP/*.pm
%{perl_sitelib}/IP/Country
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IP-Country.spec,v $
Revision 1.3.2.1  2005/10/17 08:56:58  hawk
- adjusted for Ra
- release 2

Revision 1.3  2005/09/22 20:12:53  arekm
- rel 1

Revision 1.2  2005/03/15 21:03:02  qboosh
- pl desc, working Source0 URL, md5
- added IP dir (not used by any other package now)

Revision 1.1  2005/03/13 19:05:23  zbyniu
- initial
